Page MenuHomePhabricator

Deletion logs on mediawiki.org are not showing the proper user making the deletions
Closed, ResolvedPublic

Description

Via https://www.mediawiki.org/wiki/Special:Log/delete

05:29, 28 February 2018 Dharmadeepa V (talk | contribs | block) deleted page User:Dharmadeepa V (spam (this is legoktm)) (view/restore)

That was me deleting the page.

Reported via @Stemoc

Event Timeline

Legoktm created this task.Feb 28 2018, 5:30 AM
Legoktm triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Aklapper. · View Herald TranscriptFeb 28 2018, 5:30 AM
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Stemoc.

This isn't just a display issue, incorrect data is being written into the database.

greg added a subscriber: greg.Feb 28 2018, 5:46 AM

Reverted back to wmf.22:

05:43:37 +logmsgbot | !log demon@tin rebuilt and synchronized wikiversions files: (no justification provided)

Change 415223 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] WikiPage: Avoid $user variable reuse in doDeleteArticleReal()

https://gerrit.wikimedia.org/r/415223

Via #mediawiki: <Sveta> Does mediawiki have a unit test for this?

Someone does need to do that. Multiple tests could have caught this - validating that the log entry inserted had the right performer, checking that the ArticleDeleteComplete hook got the right deleter, etc.

Change 415223 merged by jenkins-bot:
[mediawiki/core@master] WikiPage: Avoid $user variable reuse in doDeleteArticleReal()

https://gerrit.wikimedia.org/r/415223

Change 415351 had a related patch set uploaded (by Greg Grossmeier; owner: Legoktm):
[mediawiki/core@wmf/1.31.0-wmf.23] WikiPage: Avoid $user variable reuse in doDeleteArticleReal()

https://gerrit.wikimedia.org/r/415351

Change 415351 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.23] WikiPage: Avoid $user variable reuse in doDeleteArticleReal()

https://gerrit.wikimedia.org/r/415351

Mentioned in SAL (#wikimedia-operations) [2018-02-28T20:20:49Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.23/includes/page/WikiPage.php: [[gerrit:415351|WikiPage: Avoid $user variable reuse in doDeleteArticleReal()]] T188479 (duration: 00m 57s)

thcipriani closed this task as Resolved.Feb 28 2018, 9:39 PM
thcipriani assigned this task to Legoktm.
thcipriani added a subscriber: thcipriani.

After this deploy:

Mentioned in SAL (#wikimedia-operations) [2018-02-28T20:20:49Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.23/includes/page/WikiPage.php: [[gerrit:415351|WikiPage: Avoid $user variable reuse in doDeleteArticleReal()]] T188479 (duration: 00m 57s)

20:41:49 <legoktm> thcipriani: ok, looks fixed to me

Looks like it's been merged to master as well, so closing this to keep the blockers ticket nice and tidy.

Change 415477 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] tests: Assert that the user who deleted a page is logged as such

https://gerrit.wikimedia.org/r/415477

greg moved this task from To Triage to Active Situation on the Wikimedia-Incident board.

Change 415477 merged by jenkins-bot:
[mediawiki/core@master] tests: Assert that the user who deleted a page is logged as such

https://gerrit.wikimedia.org/r/415477